## tao-config 0.0+git20200604.84a7383

=== Makefile ===
# The Art of C++
# Copyright (c) 2018-2020 Dr. Colin Hirsch and Daniel Frey
# Please see LICENSE for license or visit https://github.com/taocpp/config

CXXSTD = -std=c++17
CPPFLAGS = -pedantic -I../json/include -Iinclude
CXXFLAGS = -Wall -Wextra -Werror -O3 -ftemplate-backtrace-limit=0

SOURCES := $(shell find src -name '*.cpp')
DEPENDS := $(SOURCES:%.cpp=build/%.d)
BINARIES := $(SOURCES:%.cpp=build/%)

TESTFILES := $(shell find tests -name '*.config')
TESTCASES := $(TESTFILES:%.config=%)

ERRORFILES := $(shell find tests -name '*.error')
ERRORCASES := $(ERRORFILES:%.config=%)

.PHONY: all check clean

all: check $(BINARIES)

check: build/src/test/config/tests build/src/test/config/errors
	build/src/test/config/tests $(TESTCASES)
	build/src/test/config/errors $(ERRORCASES)

clean:
	rm -rf build/*

build/%.d: %.cpp Makefile
	@mkdir -p $(@D)
	$(CXX) $(CXXSTD) $(CPPFLAGS) -MM -MQ $@ $< -o $@

build/%: %.cpp build/%.d
	$(CXX) $(CXXSTD) $(CPPFLAGS) $(CXXFLAGS) $< -o $@

ifeq ($(findstring $(MAKECMDGOALS),clean),)
-include $(DEPENDS)
endif

=== debian/changelog ===
tao-config (0.0+git20200604.84a7383-2) unstable; urgency=medium

  * Team upload.
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jul 2020 22:00:23 +0200

tao-config (0.0+git20200604.84a7383-1) unstable; urgency=medium

  * Initial release (Closes: #964976)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 13 Jul 2020 15:39:20 +0000

=== debian/control ===
Source: tao-config
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               tao-json-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/tao-config
Vcs-Git: https://salsa.debian.org/med-team/tao-config.git
Homepage: https://github.com/taocpp/config
Rules-Requires-Root: no

Package: tao-config-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         tao-json-dev
Description: header library that reads config files and produces a JSON value
 C++ header-only library that reads config files based on JSON and JAXN
 formats and in turn, produces a single JSON valur as a result.
 .
 Its features are as follows:
  1. JAXN syntax with extensions (backwards compatible with JSON).
  2. JAXN data model (JSON extended with binary data and non-finites).
  3. Meta data, all sub-values are annotated with filename and position.
  4. Copy, reference, replace and delete anything in the JSON structure.
  5. Multiple ways to read and parse other config and data files.
  6. Uses environmental variables and the output of arbitrary
     shell commands.

Package: tao-config-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: tao-config-dev
Description: header library that reads config files and produces a JSON value (examples)
 C++ header-only library that reads config files based on JSON and JAXN
 formats and in turn, produces a single JSON valur as a result.
 .
 Its features are as follows:
  1. JAXN syntax with extensions (backwards compatible with JSON).
  2. JAXN data model (JSON extended with binary data and non-finites).
  3. Meta data, all sub-values are annotated with filename and position.
  4. Copy, reference, replace and delete anything in the JSON structure.
  5. Multiple ways to read and parse other config and data files.
  6. Uses environmental variables and the output of arbitrary
     shell commands.
 .
 This package accommodates tao-config-dev package, and provides example
 C++ sources featuring the usage and functionality of this library.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Move schema binary out directory as it relies on tests/
	mv build/src/test/config/schema .
	build/src/test/config/tests
	build/src/test/config/errors
	./schema
endif

override_dh_clean:
	dh_clean
	# Remove schema binary we moved out in override_dh_auto_test
	rm -f schema

=== debian/watch ===
version=4

opts="mode=git,pretty=0.0+git%cd.%h" \
  https://github.com/taocpp/config.git HEAD
